Name:           cantus_3
Version:        3.0.0
Release:        0.pgb.1
Summary:        An audio file tag editor.

Group:          Applications/Multimedia
License:        GPL
URL:            http://debain.org/software/cantus/
#Argh, the canonical URL is really pretty stupid
#Source0:	http://www.debain.org/dlcounter.php?id=71&file=cantus_3-3.0.0-1.tar.gz
Source0:        cantus_3-3.0.0-1.tar.gz
Source1:        cantus.svg
Source2:        cantus_3.desktop
Patch0:         cantus-gnome-doc-installation.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  glib2-devel >= 2.2.3
BuildRequires:  gtkmm20-devel >= 2.2.10
BuildRequires:  libglademm20-devel >= 2.1.2
BuildRequires:  libogg-devel, libvorbis-devel
Requires(post): /sbin/ldconfig,desktop-file-utils
Requires(postun): /sbin/ldconfig,desktop-file-utils

%description 
Cantus is a tag editor for audio files. It supports Vorbis comments and
ID3 tags, and can perform mass tagging.

%prep
%setup -q -n %{name}-%{version}-1
%patch

%build
#Cantus has a pretty unusual build system, the author has a special
#build script in the toplevel driectory
./build.sh --prefix %{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_prefix}
./build.sh --install --prefix $RPM_BUILD_ROOT%{_prefix}
#The install script creates the %{_prefix}/doc/cantus_3 directory
#but doesn't install anything there. Dumb, just kill it.
#This is easier than patching the build script more.
rm -rf $RPM_BUILD_ROOT%{_prefix}/doc

#Menu icon
install -d $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 0644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/pixmaps/

#Desktop file
install -d $RPM_BUILD_ROOT%{_datadir}/applications
install -m 0644 %SOURCE2 $RPM_BUILD_ROOT%{_datadir}/applications/

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/usr/bin/update-desktop-database %{_datadir}/applications
%preun

%postun
/sbin/ldconfig
if [ "$1" = "0" ]; then
    /usr/bin/update-desktop-database %{_datadir}/applications
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGELOG COPYING README TODO
%{_bindir}/cantus_3
%{_libdir}/cantus_3
%{_datadir}/gnome/*
%{_datadir}/locale/*
%{_datadir}/applications/cantus_3.desktop
%{_datadir}/pixmaps/cantus.svg

%changelog
* Tue Feb 15 2005 Per Bjornsson <perbj[AT]stanford.edu> - 3.0.0-0.pgb.1
- Initial RPM release.
